*...:....1....:....2....:....3....:....4....:....5....:....6....:....7....:....8
      real*8 time,conc,dose
      real*8 dinter,age,height,weight
      real*8 album,glyco

      integer*4 form,observ,change,steady
      integer*4 race,smoker,lush
      integer*4 heart,creatn
      integer*4 index

      integer*4 mcols,debug

      parameter (mcols=6000,debug=2)

      dimension time(mcols),conc(mcols),dose(mcols)
      dimension dinter(mcols),age(mcols),height(mcols),weight(mcols)
      dimension album(mcols),glyco(mcols)
      dimension form(mcols),observ(mcols),change(mcols),steady(mcols)
      dimension race(mcols),smoker(mcols),lush(mcols)
      dimension heart(mcols),creatn(mcols)

      common /local/
     &  time,conc,dose,
     &  dinter,age,height,weight,
     &  album,glyco,
     &  form,observ,change,steady,
     &  race,smoker,lush,
     &  heart,creatn,
     &  index
